To upgrade is to replace a piece of hardware or software with a better, and usually newer, version or component.

learn more… | top users | synonyms (1)

1
vote
1answer
380 views

stable, stable/updates and stable-updates in the sources.list

Very often now I have seen sources.list files (including my own) that contain lines like these: deb http://security.debian.org/ testing/updates main contrib non-free deb ...
2
votes
3answers
89 views

Alsa driver update in client machine without make

I have a Debian 6 system and updated alsa from 1.0.23 to 1.0.25, It works as expected. Steps which I performed to compile: ./configure make make install Now , I have 100's of client machines in ...
4
votes
2answers
2k views

Should I let pacman replace glamor-egl with xorg-server?

This is the output of pacman. I installed nothing; just wanted to update... :: Synchronizing package databases... core is up to date extra 1761.1 KiB 2.58M/s 00:01 ...
1
vote
1answer
431 views

How to configure bootloader to boot the new kernel?

I succesfully upgraded linux kernel from 2.6.32.61 to 3.0.7 on BeableBoard-xM, following the steps below: download and untar kernel sources 3.0.7 from kernel.org copy kernel sources on /usr/src ...
0
votes
1answer
186 views

Upgrading Linux (Fedora) with LUKS encrypted volume

I have FC18 on a LUKS/dm-crypt encrypted hard disk. I'd like to upgrade the system via a FC20 dvd. I looked around a bit and it seems that upgrading the system via the installation procedure from the ...
2
votes
1answer
60 views

pacman does not sync core

I run as root pacman -Syu However it just skips right over [core], without prompts, etc. Just like it was normal to proceed when 0% done. It just proceeds with extra and community. How can I force ...
2
votes
1answer
1k views

Upgrade a 32-bit RHEL installation to 64-bit

I recently encountered an issue where I had installed a 32-bit RHEL 6 server on a system with a 64-bit processor. I did some research and found that RHEL 6.0 has PAE enabled on 32-bit machines, which ...
1
vote
0answers
108 views

Does the Linux Mint installer include an option to replace/upgrade ONLY Linux Mint on a dual boot system?

I have a dual boot system running Windows 7 64-bit and Linux Mint 16 (with Cinnamon). I'd like to replace Mint 16 with Mint 17 (I'm OK with completely wiping JUST Mint). I want to leave Windows ...
-3
votes
1answer
2k views

how to downgrade in command line for ubuntu?

I am using OS 12.04 version, but using upgrade command results in the desktop being changed for the new version 13.04. How do I downgrade to the old version using the command-line? From this: ...
1
vote
3answers
87 views

Could it cause any problem if I not reboot after a kernel upgrade?

I know there are solution for not rebooting after kernel update: https://en.wikipedia.org/wiki/Ksplice But If Ksplice isn't installed, and the user doesn't reboots it's notebook after even several ...
3
votes
1answer
2k views

YUM won't update KERNEL

... ... ... --> Running transaction check ---> Package db4-devel.x86_64 0:4.7.25-18.el6_4 will be installed --> Processing Dependency: db4-cxx = 4.7.25-18.el6_4 for package: ...
-1
votes
1answer
5k views

Upgrade Gnome 3.4 to 3.8 in debian 7

I need to upgrade gnome 3.4 to 3.8 in debian7 (with gnome-classic). How?
0
votes
1answer
350 views

Installing RHEL6.5 by swapping RPMs

BACKGROUND So I've been tasked with updating a system from RHEL6.0 to RHEL6.5 via a bootable USB. Due to size limitation, I've stripped (using the rpm -e command to prevent dependency errors) ...
0
votes
2answers
289 views

Can't install mintupdate 4.5.6-1 (Linux Mint 16)

I can't install mintupdate 4.5.6-1 under Linux Mint 16. When mintupdate tries to upgrade version 4.5.6 to version 4.5.6-1 the following error pops up: E: Could not open lock file ...
0
votes
2answers
276 views

Got an error while upgrading CentOS

I'm upgrading my server but an error occurred. Here is the error report: Transaction Check Error: package subversion-1.6.15-0.1.el5.rfx.x86_64 (which is newer than subversion-1.6.11-7.el5_6.4.i386) ...
1
vote
1answer
264 views

Unattended upgrades and modified configuration files

We have the unattended-upgrades package upgrading our servers with security upgrades every Monday and it works great. Today though, it upgraded all of our servers with a new version of PHP5. Because ...
2
votes
3answers
1k views

How is it possible to do a live update while a program is running?

I wonder how killer applications such as Thunderbird or Firefox can be updated via the system's package manager while they are still running. What happens with the old code while they are being ...
4
votes
2answers
9k views

Failure to startx on Ubuntu 14.04 after security update - missing libXfont.so.1

I had Ubuntu 14.04 running perfectly on my system and then it underwent a recommended security update. I let it update while I was at work and when I returned I found a black screen stating, "No init ...
3
votes
1answer
2k views

Can't mount RAID after upgrade

I just upgraded my box to 14.04 and on bootup I got a message, that my RAID devices can't be mounted automatically so I chose to skip it and work through it after boot time. Now booted up, A mount -a ...
1
vote
0answers
175 views

AIX OS fileset with status Broken

Does someone encounter this error in AIX version 7.1 TL3? root@TEST:/ # lppchk -v the result is: lppchk: A parsing error occured for bos.sysmgt.quota 7.1.3.0 on line 1, column 23. ...
0
votes
1answer
162 views

Manjaro: don't update an application

I've got a few local dev-servers configured on LAMP. Each time Manjaro (based on Arch) updates its software, PHP needs to be reinstalled for threading support. I have no need to update Apache or PHP ...
0
votes
0answers
783 views

Help with Setting up network connection in Debian 7.5.0

I'm a beginner using Debian. I've just installed Debian 7.5.0 amd netinst. When I execute apt-get update I get errors like: Could not resolve 'http.debian.org' Thus I changed the mirrors several ...
0
votes
0answers
1k views

How to resolve broken packages when upgrading: from Ubuntu 13.10 to 14.04

I am having an issues upgrading to 14.04 (Trusty Tahr) from 13.10 (Saucy Salamander), where I get a message Could not calculate the upgrade, and I believe it is due to my unofficial software packages. ...
0
votes
1answer
113 views

How to select which OS kernel to upgrade when multiple OS'es are installed?

I am trying to upgrade my kernel on a machine with multiple OS'es. I have a Red Hawk OS (a real-time Red Hat variant) and Red Hat installed. I can select which OS to boot into using grub. I'd like to ...
3
votes
3answers
773 views

Updating FreeBSD 8.0 to 8.1 (methods and policy)

I have 8.0-RELEASE-p4 + few ports installed. I wonder wheather I should update to 8.1. How long is 8.0 supported? How to update the system? I couldn't find anything about it in handbook. SOLUTION ...
2
votes
2answers
1k views

I get low disk space warning after my last upgrade [duplicate]

I am using Linux mint 16 cinnamon. After my last upgrade free disk space dropped from 4.2GB to around 344MB. Don't know what happened. This is the output of df -h Filesystem Size Used Avail ...
1
vote
1answer
161 views

Boot loop after upgrade from FreeBSD 7.3-RELEASE to 8.3 using freebsd-update

I upgraded my 7.3 FreeBSD box using the following instructions from the FreeBSD website: 2.2 Upgrading Using “FreeBSD Update” The freebsd-update(8) utility supports binary upgrades of i386 ...
1
vote
1answer
76 views

Upgrading CentOS web server

Have just taken over control of a CentOS 6.4 web server with Apache. My question is, to update the server software, is it a case of just using yum update and then yum upgrade? Server has been ...
1
vote
1answer
90 views

Should I upgrade Ubuntu 12.04 kernel [closed]

I am currently running the 3.5.0.48 kernel on my Ubuntu 12.04.4, and I was wondering whether I should upgrade to 3.8 or 3.11. This makes it seem easy enough. Though I will wait with throwing away my ...
1
vote
0answers
33 views

How to find out when an application was installed and when the applications/libraries it depends on are installed? [duplicate]

On Ubuntu 12.04, how can I find out when an application was installed and when the applications/libraries it depends on are installed/upgraded/updated? My Okular doesn't work any more. I guess ...
5
votes
1answer
105 views

How can I see when package has been upgraded?

Is there a way to see the upgrade history with date with some program e.g. apt? I want to know when exactly I upgraded security relevant packages the last time and the time before that... Thanks a ...
2
votes
1answer
167 views

unexpected squid behaviour (cache for openSUSE updates)

With no previous experience I have just set up a squid proxy. Its only purpose is to prevent that all the Linux systems (openSUSE) download their updates from the Internet. A proxy can easily be ...
4
votes
1answer
536 views

apt-get doesn't upgrade openssl on debian 7

I'm facing the following problem. If I run the command sudo apt-get upgrade, I get: Reading package lists... Done Building dependency tree Reading state information... Done The following ...
1
vote
1answer
772 views

automate updates with a bash script and cron

I'm trying to automatize the updates of debian system, without making upgrades. Then i'll send an e-mail to me, everytime there is an upgrade available. I've tryied to do it with cron-apt, but i ...
0
votes
1answer
671 views

Update yum fails

I'm using centOS 6.4. I'm getting this error when I use "yum update" in the terminal window. Could not retrieve mirrorlist http://mirrorlist.centos.org/?release=6&arch=x86_64&repo=os ...
1
vote
2answers
332 views

How do I resolve an apparent hanging update process

I am trying to update an instance on AWS. I have little familiarity with linux in general. However, I did run the command on my Ras. Pi first and had no problems. However this is the second time ...
1
vote
0answers
647 views

Linux mint update problem

I am very new to Linux mint and I have a problem while doing updates. If I type sudo apt-get updates I will get the following: Err http://ppa.launchpad.net saucy/main Sources ...
7
votes
2answers
362 views

Is it possible to keep a FreeBSD system up to date (base system + packages) using only binaries?

I have been using Debian and NetBSD systems for a long time, and I have got used to do binaries upgrades for the base system and for packages (using pkgin with NetBSD) Now the NetBSD kernel does not ...
0
votes
2answers
201 views

Best secure way to update back-end servers?

Our back-end servers (Redhat 5,6 mostly) are very outdated, and are not connected to the Internet for security reasons. I'm looking for the best strategy to update them, without connecting them to ...
2
votes
1answer
73 views

Why is Debian updating old package versions instead of offering new versions? (openssl) [duplicate]

I am a very inexperienced server owner and wanted to make sure I have a fix for heartbleed. After updating, "openssl version" still shows 1.0.1e and I wondered what to do to get a heartbleed free ...
7
votes
2answers
374 views

Identifying running programs that are using the old version of a library I just replaced

After installing updates to address CVE-2014-0160 (the OpenSSL Heartbleed bug), I had to take care to restart anything that might be using libssl -- many services, such as Apache and my VPN software, ...
5
votes
2answers
6k views

Openssl upgraded via apt-get, `openssl version` showing previous version

I am running Debian Wheezy. I have just upgraded my system and should have the latest version of openssl (1.0.1g which fixes a critical bug), but it does not appear to be being used. I have run: ...
0
votes
1answer
168 views

Update Linux 10 Mint Julia to 13 Maya

Everytime I try to apt-get update it comes up with the following: Err http://archive.ubuntu.com Precise/main amd64 Packages 404 Not Found [IP: 91.189.91.14 80] Err http://archive.ubuntu.com ...
0
votes
2answers
109 views

Where can I check what was updated on the last update?

Once in a while, when updating my system after reboot I got a black screen. The problem seems to bee ATI drivers, but it's weird because even TTYs do not work. For fix it I reboot on recovery mode, ...
0
votes
1answer
459 views

can't find command 'linux16', need to update Dell BIOS. use startup disk?

I'm running Ubuntu 13.10, Dell has dropped support for linux except for one server line, and none of these solutions work because the linux16 command is gone from grub2. How can the final steps ...
0
votes
1answer
95 views

Upgrading Ubuntu Based distro without losing everything

I use Zorin OS 8. I have previously used Ubuntu and Know that to upgrade Ubuntu versions you can use the "sudo apt-get dist-upgrade" command. I was wondering if that same command would work the same ...
0
votes
1answer
431 views

Can I upgrade my Linux kernel from 2.6.32 to 3.0.7?

I currently run Angstrom Linux 2.6.32 on BeagleBoard-xM (ARM architecture). Can I upgrade my Linux kernel from 2.6.32 to 3.0.7 and what is the difficulty level in case upgrade is possible? EDIT#1: ...
7
votes
2answers
2k views

How to upgrade shared library without crash?

Here it says that you can rewrite an executable file and the process will run just fine - it will be re-read when a process restarts. However, when I try to replace a binary file while the process is ...
1
vote
0answers
60 views

Assistance applying poorly packaged patches?

I manage a handful of servers running the various roles of a Ahsay online backup solution. A few times a year the software is updated and I need to apply patches on my servers. Annoyingly the ...
0
votes
0answers
386 views

Unable to update linux-mint or install any software from the software manager

Returns error on update manager "Unable to download all repositories" which is followed by a long list of failed connections and ip addresses Also if I try to download any software from the software ...